Page MenuHomePhabricator

Experiment with a Volunteer team tag
Closed, DeclinedPublic

Description

An idea i had and discussed with Quim during the dev summit. For all 'pure volunteers' put them in a Phab. team, and add a work board there.

Hope to gain some insight in what volunteers have in progress, what things are stalling, what got finished last week etc.

Might require tweaking, experimenting, bots or graphs to fully work, but could be interesting.

Event Timeline

TheDJ created this task.Jan 28 2015, 10:33 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added subscribers: TheDJ, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 10:33 PM
Qgil added a comment.Jan 29 2015, 11:44 PM

I think it is worth creating this tag and experimenting with it.

"Volunteer-Team" might sound too much like a team. Just for the sake of productive bikeshedding, what about... Volunteer-Task-Force? I like the double meaning of Task. Feel free to ignore me. :)

Qgil edited projects, added Project-Admins; removed Phabricator.Jan 29 2015, 11:45 PM
Qgil set Security to None.

Also agree it's a cool idea.

Krenair added a subscriber: Krenair.EditedJan 30 2015, 12:04 AM

'pure volunteers' -> volunteers who are not also employed/contracted by a Wikimedia organisation?

TheDJ added a comment.Jan 30 2015, 3:44 AM

@Krenair, yes that was my idea. The reasoning being that these people usually have fewer direct interactions with employed developers and that it is thus more difficult to keep track of and insight into what they do/accomplish as a group.

I'm open to expanding it to all volunteer work, but I fear it might be too noisy ? don't know.

(Note to myself: Must fix T78617 first before having different meanings of the term in the same software.)

For all 'pure volunteers' put them in a Phab. team, and add a work board there. Hope to gain some insight in what volunteers have in progress, what things are stalling, what got finished last week etc.

In theory interesting.
In practice which volunteer will really spend time to add that tag to each task that they work(ed) on? (Or what would be the actual proposed workflow here if I totally don't get it?)
Herald does not support "if Assignee is member of Team X" conditions for global Maniphest rules.

Aklapper triaged this task as Low priority.Feb 9 2015, 5:02 PM
Aklapper lowered the priority of this task from Low to Lowest.Apr 3 2015, 11:18 AM

Still awaiting answer:

In theory interesting.
In practice which volunteer will really spend time to add that tag to each task that they work(ed) on? (Or what would be the actual proposed workflow here if I totally don't get it?)

TheDJ added a comment.Apr 3 2015, 6:23 PM

In practice which volunteer will really spend time to add that tag to each task that they work(ed) on? (Or what would be the actual proposed workflow here if I totally don't get it?)

If we knew the answer to that, we wouldn't have to experiment would we ? Why do Commons users do it ? Shared interest. Perhaps volunteers have a shared interest, like helping each other move forward ?

Herald does not support "if Assignee is member of Team X" conditions for global Maniphest rules.

I think this is the main problem for solving this feature-request?

We can determine the people to include in such a team (by various means), but how exactly would we use phabricator to track "just their activities", rather than what we currently get with teams-attached-to-a-task, which is "all activity on a task to which that team is an attached-project".
I.e. https://phabricator.wikimedia.org/maniphest/query/advanced/ doesn't seem to have anything that would work.
I.e. https://phabricator.wikimedia.org/feed/query/advanced/ doesn't let us filter activity to just the members of a team. E.g. searching for the Collaboration-team https://phabricator.wikimedia.org/feed/query/Bk9a3O_jjjBq/ shows all activity, by anyone who touches a task, which the team-itself is attached to. There's no way to limit it to just the members of a team.

Hmmm, actually, if we manually add the usernames to the "Include users" field, we can do it that way, e.g. https://phabricator.wikimedia.org/feed/query/J4lbsYTIjiAH/ - but that still wouldn't give a workboard.
[Also it includes anyone who gives a "token". bug filed upstream]

(Hope that helps. I might be missing something, as I'm not an expert in phabricator's feature-set, especially regarding Herald which I can't access yet.)

Qgil added a comment.Apr 6 2015, 3:56 PM

Without even getting into the details of the discussion, we can see here a couple of organized volunteer developers asking for a tag to be used by organized volunteer developers, and then a couple of non-volunteers (as we are paid full time) seeing some potential objections. By a principle of empowerment + scratch your own itch, I think we should just create the tag, and see how it goes.

Project creation is cheap but it does come with some long-term costs (triage to associate the project, acceptance to use the project, longer list of projects for anybody).
Anyway:
If someone provides the required information (see https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects ) I will create this project.

Bonus points for "I will subscribe to this project when it gets created" comments which just make me feel better. :)

So if this is still wanted, could somebody please provide a tag description and the proposed name for this tag, so it could be created?
Then we could try this as an experiment.
Plus open a followup task to evaluate in like six months if this tag is/was actually useful.

Thanks in advance!

TheDJ closed this task as Declined.Sep 2 2015, 9:10 PM
TheDJ claimed this task.

I don't think there is enough interest for this, and I don't have the time to build the interest for it. Let's close it.